Name:		megaglest
Version:	3.9.1
Release:	%mkrel 1
Summary:	A free 3d real time strategy game
License:	GPLv3
Group:		Games/Strategy
URL:		http://megaglest.sourceforge.net
Source0:	https://github.com/MegaGlest/megaglest-source/releases/download/%{version}/%{name}-source-%{version}.tar.xz
Patch0:		megaglest-source-3.9.0-mga-link.patch
Patch1:		megaglest-source-3.9.0-mga-drop-manpage.patch
Patch2:		megaglest-source-3.9.0-mga-CMakeLists-fix-data-install.patch
BuildRequires:	zlib-devel
BuildRequires:	openal-devel
BuildRequires:	xerces-c-devel
BuildRequires:	SDL-devel
BuildRequires:	oggvorbis-devel
BuildRequires:	SDL_net-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	GL-devel
BuildRequires:	cmake
BuildRequires:	unzip
BuildRequires:	recode
BuildRequires:	lua5.1-devel
BuildRequires:	libwxgtku-devel
BuildRequires:	curl-devel
BuildRequires:	ftgl-devel
BuildRequires:	miniupnpc-devel
BuildRequires:	libircclient-static-devel
BuildRequires:	glew-devel
BuildRequires:	help2man
BuildRequires:	libvlc-devel
Requires:	mesa-demos
Requires:	%{name}-data = %{version}
Obsoletes:	glest <= 3.2.2

%description
MegaGlest is a 3D-real-time strategy game, where you control the armies of
one of seven different factions: Tech, Magic, Egyptians, Indians, Norsemen,
Persian or Romans.

A game of MegaGlest takes place on a map of varying size, such as large
plains and fields, with terrain features like rivers, mountains, seas, or
cliffs. Players must establish settlements to gain resources, defend
against other players, and train units to explore the map and attack
enemies. Different resources have to be gathered by every faction. This can
be energy, food, gold, housing, stone and wood.

Choose a faction and create its different units and buildings while
developing your factions' unique abilities over the course of the game.
But beware: strategy matters, so chose wisely when deciding which units to
use when and where if you want a chance to beat the enemy.

%prep
%setup -qn %{name}-%{version}
%apply_patches

%build
%cmake
%make

%install
mkdir -p %{buildroot}%{_gamesbindir}
install -pm755 build/source/glest_game/megaglest %{buildroot}%{_gamesbindir}/%{name}
install -pm755 build/source/glest_map_editor/megaglest_editor %{buildroot}%{_gamesbindir}/%{name}_editor
install -pm755 build/source/g3d_viewer/megaglest_g3dviewer %{buildroot}%{_gamesbindir}/%{name}_g3dviewer

mkdir -p %{buildroot}%{_gamesdatadir}/%{name}/{data/lang,maps}
mkdir -p %{buildroot}%{_mandir}/man6
install -m644 glest.ini %{buildroot}%{_gamesdatadir}/%{name}
install -m644 glestkeys.ini %{buildroot}%{_gamesdatadir}/%{name}
install -m644 servers.ini %{buildroot}%{_gamesdatadir}/%{name}
install -m644 build/source/glest_game/%{name}.6 %{buildroot}%{_mandir}/man6/%{name}.6

mkdir -p %{buildroot}%{_iconsdir}
install -m644 %{name}.png -D %{buildroot}%{_iconsdir}

# Desktop file
mkdir -p %{buildroot}/%{_datadir}/applications
cp %{name}.desktop %{buildroot}/%{_datadir}/applications/%{name}.desktop

%files
%doc docs/CHANGELOG.txt docs/README.txt docs/AUTHORS.source_code.txt docs/COPYRIGHT.source_code.txt
%{_mandir}/man6/*
%attr(755,root,root) %{_gamesbindir}/%{name}
%attr(755,root,root) %{_gamesbindir}/%{name}_editor
%attr(755,root,root) %{_gamesbindir}/%{name}_g3dviewer
%{_iconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_gamesdatadir}/%{name}


%changelog
* Sat May 17 2014 akien <akien> 3.9.1-1.mga4
+ Revision: 623135
- Sync source tarball and backport patches from cauldron
- Update to 3.9.1 to reenable network games

* Sat Oct 19 2013 umeabot <umeabot> 3.7.1-7.mga4
+ Revision: 533961
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 fwang <fwang> 3.7.1-6.mga4
+ Revision: 475867
- fix build with miniupnpc 1.8
- rebuild for new miniupnpc

* Wed Jul 24 2013 sander85 <sander85> 3.7.1-5.mga4
+ Revision: 457712
- Rebuild for new glew

* Mon Jun 03 2013 fwang <fwang> 3.7.1-4.mga4
+ Revision: 436014
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 3.7.1-3.mga3
+ Revision: 359934
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 12 2012 pterjan <pterjan> 3.7.1-2.mga3
+ Revision: 329831
- Obsolete glest

* Wed Dec 05 2012 shadow95 <shadow95> 3.7.1-1.mga3
+ Revision: 327052
- removed megaglest patch gcc
- Update to new version 3.7.1
- Update patch for new version
- removed glest_configurator

* Thu Aug 30 2012 fwang <fwang> 3.6.0.3-3.mga3
+ Revision: 285670
- rebuild for new glew

* Thu Aug 02 2012 fwang <fwang> 3.6.0.3-2.mga3
+ Revision: 277843
- sync with debian patch
- more fixes
- fix build with gcc 4.7
- build with lua 5.1
- rebuild for new glew

  + dams <dams>
    - clean spec file

* Mon Mar 05 2012 fwang <fwang> 3.6.0.3-1.mga2
+ Revision: 218373
- new version 3.6.0.3

* Sat Jan 21 2012 shadow95 <shadow95> 3.6.0.2-2.mga2
+ Revision: 198872
- fix bug in CMakeLists for data install

* Fri Jan 20 2012 fwang <fwang> 3.6.0.2-1.mga2
+ Revision: 198680
- drop invalid man pages generation
- br help2man
- use correct build method
- finall fix build
- fix linkage
- br ircclient
- reupload tarball
- new version 3.6.0.2

* Fri Dec 09 2011 shadow95 <shadow95> 3.6.0.1-1.mga2
+ Revision: 179708
- add BuildRequires: ftgl-devel
- add BuildRequires: glew-devel
- add BuildRequires: miniupnpc-devel
- add CmakeLists.patch for data install in /usr/share/games/megaglest
- update to new version 3.6.0.1

* Mon Sep 26 2011 dmorgan <dmorgan> 3.5.2.4-3.mga2
+ Revision: 147863
- Do not requires x11-font-adobe-utopia-75dpi which is in the nonfree media

* Mon Sep 19 2011 fwang <fwang> 3.5.2.4-2.mga2
+ Revision: 145358
- fix build with libpng 1.5
- rebuild for new libpng

  + shadow95 <shadow95>
    - replace mesa-common-devel BR with GL-devel
    - remove megaglest.png in SOURCES
    - use original file for glest.ini et megaglest.png
    - use original desktop file
    - patch CMakeList for install data in /usr/share/games
    - change section %%file (add each file)
    - import version 3.5.2
    - clean spec
    - change license GPLv2+ to GPLv3
    - imported package megaglest

  + stormi <stormi>
    - improve description
    - remove obsolete %%post and %%postun

